Subject: [os2genau_digest] No. 1093
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Tue, 19 Apr 2005 00:01:08 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Monday 18 April 2005
 Number  1093
**************************************************

Subjects for today
 
1  Re:  Backing up Mozilla info : David Forrester" <davidfor at internode.on dot net>
2  Re:  Backing up Mozilla info : Kris Steenhaut <kris.steenhaut at hccnet.nl>

**= Email   1 ==========================**

Date:  Mon, 18 Apr 2005 00:03:20 +1000 (EST)
From:  "David Forrester" <davidfor at internode.on dot net>
Subject:  Re:  Backing up Mozilla info

On Sun, 17 Apr 2005 20:47:53 +0800, Kev wrote:

>Thanx Kris
>
>Kris Steenhaut wrote:
>
>> The 1st of all, put following entries in the config (alter the paths 
>> accoring to your taste):
>> 
>> SET MOZ_BIN=C:\Mozzarella
>> SET Mozilla_home=C:\Internet\Gebruikers
>> SET MOZ_PLUGIN_PATH=C:\Internet\Instekers
>
>I already have ...
>SET HOME=G:\HOME\KEV
>SET MOZILLA_HOME=G:\HOME\KEV
>SET MOZ_PLUGIN_PATH=G:\PROGRAMS\MOZ_PLUG
>... in my CONFIG.SYS.
>
>What does the SET MOZ_BIN= ...  line do?

I think Kris has posted details of  how he starts Mozilla before.  This
is just used by his script and isn't used by Mozilla at all.

>
>What I'm trying to do here is start with a fresh new install and a fresh 
>new \HOME directory.  Currently \HOME has about 2 years accumulation of 
>superfluous crap, including keeping all my mail under an email address I 
>  ceased using about 7 months ago.  I just can't afford to lose all my 
>saved mail, addresses and bookmarks.
>

I use BackAgain/2 once a week to backup most of the files in the
profiles.  I put most of the files in, but, skip the cache.  I also
backup using zip whenever I put a new version on.  Again,  I simply zip
the profile directory, but, skip the cache directory.

Also, a quick search found the following link
<http://www.mozilla dot org/start/1.5/faq/profile.html>.  It about backing
up Mozilla 1.5, but, I don't think much has changed since then.

--
David Forrester
davidfor at internode.on dot net
http://www.os2world dot com/djfos2/

----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 17 Apr 2005 16:05:01 +0200
From:  Kris Steenhaut <kris.steenhaut at hccnet.nl>
Subject:  Re:  Backing up Mozilla info

Kev schreef:

> I already have ...
> SET HOME=G:\HOME\KEV

That's not a valid mozilla entry. Delete!

> SET MOZILLA_HOME=G:\HOME\KEV

Good.

> SET MOZ_PLUGIN_PATH=G:\PROGRAMS\MOZ_PLUG

Good.

> ... in my CONFIG.SYS.
>
> What does the SET MOZ_BIN= ... line do?
>
It points to the program tree install.exe and mozilla.exe should 1st 
look into.
It Isn't strictly necessary, but imho, for your own conveniece, it is 
always better to define as much to your own taste as possible.
Also, I have mozilla 175 and ow2web (just for fun really) active. With 
the entry SET MOZ_BIN= I'm sure my C:\Mozzarella program tree always 
will be served in respect to the spellcheck, compreg.dat ... (thus the 
components directory); and not the os2web program tree.

> What I'm trying to do here is start with a fresh new install and a 
> fresh new \HOME directory.

I would reconsider if I were you. The trick is mozilla to have accept 
your precious prefs.js file (of which you should have countless backups).

So, if you want to redo, copy the prefs.js file to a new directory; and 
O would think of something better than "home" if I were you.

So, assuming you have created a c:\internet\users\kevvie directory,

- copy the file prefs.js to it c:\internet\users\kevvie
- launch the profile manager (mozilla.exe -profilemanager)
- check on "create NEW profile", and give it the name Kevvie
- Point to c:\internet\users
- Mozilla will create then the so called new profile in 
c:\internet\users\kevvie
- then mozilla will ask you: "there are already files in the directory, 
do you want to accept them?" (or something like that)
- Say yes, and mozilla will create the "new" profile using the 
c:\internet\users\kevvie\prefs.js file

You need some routine to get the knack of it, but after that it's a 
piece of cake.

> Currently \HOME has about 2 years accumulation of superfluous crap, 
> including keeping all my mail under an email address I ceased using 
> about 7 months ago. I just can't afford to lose all my saved mail, 
> addresses and bookmarks.
>
Remember, the keyfile is the file prefs.js. It has/keeps/maintains your 
entire browser/email/etc... living.

There are some other things about entries (in the file prefs.js) I would 
like to say, but to much at a time always is disatrous.
So I suggest you'll start with keeping your user specs by creating a 
"new" profile.

-- 
Groeten uit Gent,

   Kris

----------------------------------------------------------------------------------